%define build_plf 0
%{?_with_plf: %global build_plf 1}

# enablelzw = 0 (don't build with LZW compression support)
# enablelzw = 1 (build with LZW compression support)
# Currently we use enablelzw = 0 due to Unisys LZW patents.
%define enablelzw       0

%if %build_plf
%define enablelzw       1
%endif

Summary:	Convert raster images to PostScript or PDF
Name:		sam2p
Version:	0.49.2
Release:	%mkrel 1
License:	GPL
Source0:	http://sam2p.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	http://sam2p.googlecode.com/files/tif22pnm-0.13.tar.gz
URL:		http://code.google.com/p/sam2p/
Group:		Publishing
Requires:	ghostscript
Requires:	jpeg-progs
BuildRequires:	libjpeg-progs
Requires:	netpbm
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig(libpng12)

%description
sam2p is a UNIX command line utility written in ANSI C++ that converts
many raster (bitmap) image formats into Adobe PostScript or PDF files
and several other formats. The images are not vectorized. sam2p gives
full control to the user to specify standards-compliance, compression,
and bit depths. In some cases sam2p can compress an image 100 times
smaller than the PostScript output of many other common image
converters. sam2p provides ZIP, RLE and LZW (de)compression filters
even on Level1 devices.

%prep
%setup -q -n %{name}-%{version} -a 1

%build
autoconf
pushd tif22pnm-0.13
%configure2_5x \
	--with-libtiff-idir=%{_includedir} \
	--with-libpng-idir=%{_includedir}/libpng12 \
	--with-libtiff-ldir=%{_libdir} \
	--with-libpng-ldir=%{_libdir}
make
cp tif22pnm png22pnm ../
cp -p README ../README.tif22pnm
popd

%configure2_5x \
%if %build_plf
	--enable-lzw \
	--enable-gif
%endif

make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 sam2p tif22pnm png22pnm $RPM_BUILD_ROOT%{_bindir}

%files
%doc COPYING
%doc README README.tif22pnm examples contrib
%{_bindir}/*


%changelog
* Mon Oct 21 2013 fwang <fwang> 0.49.2-1.mga4
+ Revision: 537201
- drop old patches
- new version 0.49.2
- use configure2_5x

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.49.1-3.mga3
+ Revision: 381666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 0.49.1-2.mga3
+ Revision: 328950
- update RPM group

* Sat Feb 04 2012 fwang <fwang> 0.49.1-1.mga2
+ Revision: 204407
- new version 0.49.1

* Sun Dec 25 2011 fwang <fwang> 0.44.14-7.mga2
+ Revision: 187449
- correct includedir
- br png12
- rebuild for new libtiff

* Tue Apr 26 2011 rtp <rtp> 0.44.14-6.mga1
+ Revision: 91670
- Add patch from Debian to fix build with gcc-4.5

* Tue Jan 11 2011 pterjan <pterjan> 0.44.14-5.mga1
+ Revision: 5541
- imported package sam2p

